PRLIMIT(1)

NUME
prlimit - obține și stabilește limitele resurselor procesului

REZUMAT

prlimit [opțiuni] [--resursă[=limite]] [--pid PID]

prlimit [opțiuni] [--resursă[=limite]] comanda [argument...]

DESCRIERE

Dându-se un ID de proces și una sau mai multe resurse, prlimit încearcă să recupereze și/sau să modifice limitele.

Când se dă comanda, prlimit va executa această comandă cu argumentele date.

Parametrul limite este compus dintr-o valoare „soft” și una „hard”, separate prin două puncte (:), pentru a modifica valorile existente. În cazul în care nu se indică limite, prlimit va afișa valorile curente. Dacă nu se dă una dintre valori, se va utiliza cea existentă. Pentru a specifica limita nelimitată sau infinită (RLIM_INFINITY), se poate trece șirul -1 sau „unlimited”.

Din cauza naturii limitelor, limita „soft” trebuie să fie mai mică sau egală cu limita superioară (numită și plafon „celling”). Pentru a vedea toate limitele de resurse disponibile, consultați secțiunea OPȚIUNI PENTRU RESURSE.

    • soft:hard Specifică ambele limite.

    • soft: Specifică doar limita „soft”.

    • :hard Specifică doar limita „hard”.

    • valoare Specifică ambele limite la aceeași valoare.

OPȚIUNI GENERALE

--noheadings
    Nu imprimă o linie de antet.

-o, --output listă
    Definește coloanele de ieșire care trebuie utilizate. Dacă nu se specifică niciun aranjament de ieșire, se utilizează un set implicit. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

-p, --pid PID
    Specifică ID-ul procesului. Fără această opțiune (și fără o comandă), va fi utilizat procesul în curs de desfășurare.

--raw
    Utilizează formatul de ieșire brut.

--verbose
    Modul super-descriptiv.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

OPȚIUNI PENTRU RESURSE

-c, --core[=limite]
    Dimensiunea maximă a unui fișier „core”.

-d, --data[=limite]
    Dimensiunea maximă a datelor.

-e, --nice[=limite]
    Prioritatea maximă de curtoazie „nice” care poate fi acordată.

-f, --fsize[=limite]
    Dimensiunea maximă a fișierelor.

-i, --sigpending[=limite]
    Numărul maxim de semnale în așteptare.

-l, --memlock[=limite]
    Spațiul maxim de adrese blocate în memorie.

-m, --rss[=limite]
    Dimensiunea maximă ocupată în memorie de un proces rezident („Resident set size”: RSS).

-n, --nofile[=limite]
    Numărul maxim de fișiere deschise.

-q, --msgqueue[=limite]
    Numărul maxim de octeți din cozile de mesaje POSIX.

-r, --rtprio[=limite]
    Prioritatea maximă în timp real.

-s, --stack[=limite]
    Dimensiunea maximă a stivei.

-t, --cpu[=limite]
    Timpul procesorului, în secunde.

-u, --nproc[=limite]
    Numărul maxim de procese.

-v, --as[=limite]
    Limita spațiului de adrese.

-x, --locks[=limite]
    Numărul maxim de fișiere de blocare deținute.

-y, --rttime[=limite]
    Timpul de așteptare pentru sarcini în timp real.

NOTE

Apelul de sistem prlimit(2) este acceptat începând cu Linux 2.6.36, nucleele mai vechi vor întrerupe acest program.

EXEMPLE

prlimit --pid 13134
    Afișează valorile limită pentru toate resursele curente.

prlimit --pid 13134 --rss --nofile=1024:4095
    Afișează limitele RSS și stabilește limitele soft și hard pentru numărul de fișiere deschise la 1024 și, respectiv, 4095.

prlimit --pid 13134 --nproc=512:
    Modifică doar limita soft pentru numărul de procese.

prlimit --pid $$ --nproc=unlimited
    Stabilește pentru procesul curent atât valoarea soft, cât și cea de plafon „ceiling” pentru numărul de procese la nelimitat.

prlimit --cpu=10 sort -u hugefile
    Stabilește atât limita de timp „soft” cât și cea „hard” a procesorului la zece secunde și rulează sort(1).

AUTORI

- În memoria lui Dennis M. Ritchie.

CONSULTAȚI ȘI

ulimit(1p), prlimit(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda prlimit face parte din pachetul util-linux care poate fi descărcat de la